使用python2.7在centos中安装mod_wsgi时出错

Modified on: Mon, 22 Jul 2019 08:00:03 +0800

当我在mod_wsgi文件夹中“make”时,我收到此错误

我使用以下

配置

./configure --with-apxs=/usr/local/apache/bin/apxs   --with-python=/opt/python27/bin/python
  

的/ usr /斌/ LD:
  /opt/python27/lib/libpython2.7.a(node.o):
  重新定位R_X86_64_32对抗`a
  当地符号'不能用于
  制作共享对象;重新编译
  -fPIC /opt/python27/lib/libpython2.7.a:
  无法读取符号:价值不佳
  collect2:ld返回1退出状态
  apxs:错误:命令失败
  RC = 65536

此链接有解决方案,但我完全无法理解< / p>

1)How can i found that i have compiled x32bit or x64 bit version of python 
2)I didn't understand about what symbolic link he was talking about
作者:Mirage

最佳答案

重要的是用--enable-shared重建Python。如果您没有这样做,则符号链接注释不相关,甚至不应用于最近的Python / mod_WSGI版本。


相关问答

添加新评论